%define upstream_name    DBIx-Connector
%define upstream_version 0.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.605.0
BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Test::MockModule) >= 0.50.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Feb 21 2012 kharec <kharec> 0.510.0-1.mga2
+ Revision: 211628
- update to 0.51

* Fri Dec 09 2011 kharec <kharec> 0.470.0-1.mga2
+ Revision: 179795
- imported package perl-DBIx-Connector


* Fri Dec 09 2011 cpan2dist 0.47-1mga
- initial mageia release, generated with cpan2dist
